org.infinispan.schematic.internal.delta

## Class RemoveOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.RemoveOperation

-     @Immutable
      @SerializeWith(value=RemoveOperation.Externalizer.class)
      public class RemoveOperation
      extends Operation

  An atomic remove operation for SchematicValueDelta.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoveOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `fieldName`
    `protected Object` | `oldValue`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveOperation(Path parentPath, String fieldName, Object oldValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoveOperation` | `clone()`
    `boolean` | `equals(Object obj)`
    `String` | `getFieldName()`
    `boolean` | `isRemoved()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath, hashCode, mutableParent`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fieldName

          protected final String fieldName

    - #### oldValue

          protected final Object oldValue

  - ### Constructor Detail

    - #### RemoveOperation

          public RemoveOperation(Path parentPath,
                         String fieldName,
                         Object oldValue)

  - ### Method Detail

    - #### clone

          public RemoveOperation clone()

      Specified by:
        `clone` in class `Operation`

    - #### getFieldName

          public String getFieldName()

    - #### rollback

          public void rollback(MutableDocument delegate)

      Specified by:
        `rollback` in class `Operation`

    - #### replay

          public void replay(MutableDocument delegate)

      Specified by:
        `replay` in class `Operation`

    - #### isRemoved

          public boolean isRemoved()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.